<?php
define('BIONICK_THEME_PATH',		get_template_directory());
define('BIONICK_THEME_URL',		get_template_directory_uri());
require (BIONICK_THEME_PATH . '/includes/custom.php');
require (BIONICK_THEME_PATH . '/includes/style.php');
require (BIONICK_THEME_PATH . '/includes/js.php');
require (BIONICK_THEME_PATH . '/includes/AfterSetupTheme.php');
require (BIONICK_THEME_PATH . '/includes/functions.php');
require (BIONICK_THEME_PATH . '/includes/ini/bionick-base.php'); 
require (BIONICK_THEME_PATH . '/custom-widget/custom-widget.php');
require (BIONICK_THEME_PATH . '/pagination.php');
 

if ( ! isset( $content_width ) ) $content_width = 900;	

// register nav menu
	function bionick_register_menus() {
		register_nav_menus( array( 
      'top-menu' => __( 'Primary menu','bionickwp' ),
      'main-menu' => __('One Page Menu ','bionickwp'),
      'home-menu' => __('Home Page Menu ','bionickwp'),
                              
                        )
							);
	}
	add_action( 'after_setup_theme', 'bionick_setup' );
function bionick_setup() {
	
    // Add support for Block Styles.
	add_theme_support( 'wp-block-styles' );

	// Add support for full and wide align images.
	add_theme_support( 'align-wide' );

	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	// Enqueue editor styles.
	add_editor_style( 'style-editor.css' );
	
	// Add custom editor font sizes.
	add_theme_support(
			'editor-font-sizes',
			array(
				array(
					'name'      => esc_html__( 'Small', 'bionickwp' ),
					'shortName' => esc_html__( 'S', 'bionickwp' ),
					'size'      => 10,
					'slug'      => 'small',
				),
				array(
					'name'      => esc_html__( 'Normal', 'bionickwp' ),
					'shortName' => esc_html__( 'M', 'bionickwp' ),
					'size'      => 12,
					'slug'      => 'normal',
				),
				array(
					'name'      => esc_html__( 'Large', 'bionickwp' ),
					'shortName' => esc_html__( 'L', 'bionickwp' ),
					'size'      => 36,
					'slug'      => 'large',
				),
				array(
					'name'      => esc_html__( 'Huge', 'bionickwp' ),
					'shortName' => esc_html__( 'XL', 'bionickwp' ),
					'size'      => 49,
					'slug'      => 'huge',
				),
			)
		);
	
	add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'Green', 'bionickwp' ),
            'slug' => 'color-green',
            'color' => '#ffc815',
        ),
        array(
            'name' => esc_html__( 'Grey', 'bionickwp' ),
            'slug' => 'color-grey',
            'color' => '#292929',
        ),
        
    ) );
	
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
	
	add_action( 'after_setup_theme', 'bionick_lang_setup' );
	function bionick_lang_setup(){
    load_theme_textdomain('bionickwp', get_template_directory() . '/languages');
    }		
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'custom-background' );
	add_theme_support( 'custom-header' );
	add_theme_support( "title-tag" );
	remove_theme_support( 'widgets-block-editor' );
	add_theme_support( 'post-formats', array( 'image','video','audio','gallery' ) );
	add_post_type_support( 'portgallery', 'post-formats' );

}
// Word Limit 
	function bionick_string_limit_words($string, $word_limit)
	{
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
	}

// Add post thumbnail functionality
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 559, 220, true ); // Normal post thumbnails
	add_image_size( 'menu-feature-img', 800, 1200, true ); // Menu Section Thumbnail
	//add_image_size( 'services-img', 226, 151, true ); // Services Section Thumbnail	
	add_image_size( 'testimonial-img', 129, 129, true ); // Testimonials Section Thumbnail		
	add_image_size( 'portfolio-img', 535, 357, true ); // Portfolio Large Thumbnail
	add_image_size( 'portfolio-slider', 745, 497, true ); // Portfolio Slider Thumbnail

	// How comments are displayed

function bionick_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    extract($args, EXTR_SKIP);

    if ( 'div' == $args['style'] ) {
      $tag = 'div';
      $add_below = 'comment';
    } else {
      $tag = 'li';
      $add_below = 'children';
    }
?>
    <<?php echo esc_attr($tag) ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment">
    <?php if ( 'div' != $args['style'] ) : ?>
    <div id="div-comment-<?php comment_ID() ?>" class="comment">
	<ul class="commentlist clearafix">
	    <li class="comment">

    <?php endif; ?>
		
		    <div class="comment-body">
			
			    <div class="comment-author">
                    <?php echo get_avatar( $comment, 50 ); ?>
				</div>
				
				<cite class="fn"><a href="#"><?php printf(esc_attr__('%s','bionickwp'), get_comment_author_link()) ?></a></cite>
				
				<div class="comment-meta">
				
				    <h6><span class='comment-link'><?php printf( esc_attr__(' %1$s  ','bionickwp'), comment_time('M j, Y \a\t g:i A')) ?></span> <?php esc_attr_e('/', 'bionickwp');?> <span class='comment-reply-link'><?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?></span></h6>
					
				</div>	
				
				<p><?php comment_text() ?></p>
            </div>	

<?php if ($comment->comment_approved == '0') : ?>
    <em class="comment-awaiting-moderation"><?php esc_attr_e('Your comment is awaiting moderation.','bionickwp') ?></em>
    <br />
<?php endif; ?>

    
    <?php if ( 'div' != $args['style'] ) : ?>
	
	    </li>
    
    </ul>
    </div>
    <?php endif; ?>
<?php
        }		
		

// create sidebar & widget area

if(function_exists('register_sidebar')) {

  function bionick_theme_slug_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Blog Sidebar', 'bionickwp' ),
        'id' => 'blog-sidebar',
        'description' => esc_attr__( 'This area for blog widgets.', 'bionickwp' ),
        'before_widget' => '<div id="%1$s" class="widget spo-sidebar-widget text-left clear animation %2$s"  data-animation="animation-fade-in-right">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="spo-sidebar-widget-title">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'bionick_theme_slug_widgets_init' );

function bionick_theme_slug_widgets__init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Page Sidebar', 'bionickwp' ),
        'id' => 'page-sidebar',
        'description' => esc_attr__( 'This area for page widgets.', 'bionickwp' ),
        'before_widget' => '<div id="%1$s" class="widget spo-sidebar-widget text-left clear animation %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="spo-sidebar-widget-title">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'bionick_theme_slug_widgets__init' );


function bionick_theme_slug_widgets____init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Footer Sidebar', 'bionickwp' ),
        'id' => 'footer-sidebar',
        'description' => esc_attr__( 'This area for footer widgets.', 'bionickwp' ),
        'before_widget' => '<div class="col-md-4"><div id="%1$s" class="widget footer-info spo-footer-widget text-left %2$s">',
		'after_widget'  => '</div></div>', 
		'before_title'  => '<h4 class="spo-footer-widget-title">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'bionick_theme_slug_widgets____init' );


}

/**
 * Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
 */
if(function_exists('vc_set_as_theme')) vc_set_as_theme();

// Initialising Shortcodes
if (class_exists('WPBakeryVisualComposerAbstract')) {
	function requireVcExtend(){
		require_once locate_template('/extendvc/extend-vc.php');
	}
}

if (is_admin() && isset($_GET['activated'])){
	wp_redirect(admin_url("themes.php?page=bionickwp"));
}