<?php
function bionick_removeDemoModeLink() { 
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
// Add class to <li> 
function add_menu_parent_class($items)
{

    $parents=array();
    foreach($items as $item){

        if($item->menu_item_parent && $item->menu_item_parent>0){
            $parents[]=$item->menu_item_parent;
        }
    }
    foreach($items as $item){
        if(in_array($item->ID,$parents)){
            $item->classes[]='current';
        }
    }
    return $items;
}
add_filter('wp_nav_menu_objects','add_menu_parent_class');


class description_walker extends Walker_Nav_Menu
{
      function start_el(&$output, $object, $depth = 0, $args = Array() , $current_object_id = 0) {
           
           global $wp_query;

           $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

           $class_names = $value = '';

           $classes = empty( $object->classes ) ? array() : (array) $object->classes;
           $icon_class = $classes[0];
       $classes = array_slice($classes,1);

           $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $object ) );
           $class_names = ' class="'. esc_html( $class_names ) . '"';


           $attributes  = ! empty( $object->attr_title ) ? ' title="'  . esc_html( $object->attr_title ) .'"' : '';
           $attributes .= ! empty( $object->target )     ? ' target="' . esc_html( $object->target     ) .'"' : '';
           $attributes .= ! empty( $object->xfn )        ? ' rel="'    . esc_html( $object->xfn        ) .'"' : '';
            
           

           if($object->object == 'page')
           {
                $varpost = get_post($object->object_id);                
                $separatepages = get_post_meta($object->object_id, "rnr_open_page", true);
                $disable_menu = get_post_meta($object->object_id, "rnr_disable_section_from_menu", true);
				$current_page_id = get_option('page_on_front');
		

                if ( ( $disable_menu != true ) && ( $varpost->ID != $current_page_id ) ) {

                  $output .= $indent . '<li id="menu-item-'. $object->ID . '" ' . $value . $class_names .' > ' ;

                  if ( $separatepages == true )
                    $attributes .= ! empty( $object->url ) ? ' href="'   . esc_html( $object->url ) .'" ' : '';
                  else{
                    if (is_front_page()) 
                      $attributes .= ' href="#' . $varpost->post_name . '"'; 
				  
                    else 
                      $attributes .= ' href=" '. home_url().'/#'. $varpost->post_name .'"';
                  } 

                  $object_output = $args->before;
                $object_output .= '<a class="custom-scroll-link"'. $attributes .' data-toggle="my-scrollspy-2">';
                $object_output .= $args->link_before . '' . apply_filters( 'the_title', $object->title, $object->ID ) . '';
                $object_output .= $args->link_after;
                $object_output .= '</a>';
                $object_output .= $args->after;    

                 $output .= apply_filters( 'walker_nav_menu_start_el', $object_output, $object, $depth, $args );                              
                }
                                         
           }
		   
		   else {
		   
		   $output .= $indent . '<li id="menu-item-'. $object->ID . '" ' . $value . $class_names .' > ' ;

                 
                    $attributes .= ! empty( $object->url ) ? ' href="'   . esc_html( $object->url ) .'" ' : '';
                  

                  $object_output = $args->before;
                $object_output .= '<a '. $attributes .' >';
                $object_output .= $args->link_before . '' . apply_filters( 'the_title', $object->title, $object->ID ) . '';
                $object_output .= $args->link_after;
                $object_output .= '</a>';
                $object_output .= $args->after;    

                 $output .= apply_filters( 'walker_nav_menu_start_el', $object_output, $object, $depth, $args );
		   
		   }
          
           
      }
}

add_action( 'after_setup_theme', 'bionick_setup' );


/**
 * Include the TGM_Plugin_Activation class.
 */
require_once (BIONICK_THEME_PATH .'/framework/class-tgm-plugin-activation.php');

/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function bionick_register_required_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(

        // This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
            'name'      => esc_html__( 'Redux Framework', 'bionickwp' ),
            'slug'      => 'redux-framework',
            'required'  => true,
        ), 
        array(
            'name'      => esc_html__( 'WPBackery Page Bulilder', 'bionickwp' ),
            'slug'      => 'js_composer',
			'source'    => esc_url('http://webredox.net/plugins/js_composer.zip','bionickwp' ),
            'required'  => true,
        ),	
		array(
            'name'               => esc_html__( 'Revolution Slider', 'bionickwp' ),
            'slug'               => 'revslider',
            'source'             => esc_url('http://webredox.net/plugins/revslider.zip','bionickwp' ),
            'required'           => true,  
        ),
		
		array(
            'name'               => esc_html__( 'Bionick Plugin', 'bionickwp' ),
            'slug'               => 'bionick-plugin',
            'source'             => esc_url('http://webredox.net/demo/wp/plugins/bionick-plugin.zip','bionickwp' ),
            'required'           => true,  
        ),

        array(
            'name'      => esc_html__( 'Meta Box', 'bionickwp' ),
            'slug'      => 'meta-box',
            'required'  => true,
        ),						
		array(
            'name'      => esc_html__( 'Contact Form 7', 'bionickwp' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),		
        array(
            'name'      => esc_html__( 'Bionick Demo Importer', 'bionickwp' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ),       		

    );

    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
       
    );

    tgmpa( $plugins, $config );

}

   