<?php
function bionickwp_import_files() {
	return array(
		array(
			'import_file_name'             => 'Slider Demo',
			'categories'                   => array( 'Slider Demo' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/slider/content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/slider/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/slider/redux.json',
					'option_name' => 'bionick_wp',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bionick/images/1.jpg',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bionickwp' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bionick/demo1/',
		),
		array(
			'import_file_name'             => 'Slideshow Demo',
			'categories'                   => array( 'Slideshow Demo' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/slideshow/content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/slideshow/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/slideshow/redux.json',
					'option_name' => 'bionick_wp',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bionick/images/3.jpg',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bionickwp' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bionick/demo2/',
		),			
		array(
			'import_file_name'             => 'Video Demo',
			'categories'                   => array( 'Video Demo' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/video/content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/video/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/video/redux.json',
					'option_name' => 'bionick_wp',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bionick/images/2.jpg',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bionickwp' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bionick/demo3/',
		),		
		array(
			'import_file_name'             => 'Image Demo',
			'categories'                   => array( 'Image Demo' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/image/content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/image/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bionickwp-demo/image/redux.json',
					'option_name' => 'bionick_wp',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bionick/images/2.jpg',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bionickwp' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bionick/demo4/',
		),		
	);
}
add_filter( 'pt-ocdi/import_files', 'bionickwp_import_files' );

function bionickwp_after_import_setup( $selected_import ) {
	
	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'Home Page Menu', 'nav_menu' );
	set_theme_mod( 'nav_menu_locations', array(
			'home-menu' => $main_menu->term_id,
		)
	);	
	

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Intro' );
	$blog_page_id  = get_page_by_title( 'Blog' );
	
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
	
    if ( 'Slideshow Demo' === $selected_import['import_file_name'] ) {

       //Import Revolution Slider
       if ( class_exists( 'RevSlider' ) ) {
           $slider_array = array(
              get_template_directory()."/includes/bionickwp-demo/slideshow/slider-home.zip",
              );

           $slider = new RevSlider();
       
           foreach($slider_array as $filepath){
             $slider->importSliderFromPost(true,true,$filepath);  
           }
       
           echo ' Slider processed';
      }
    }	

}
add_action( 'pt-ocdi/after_import', 'bionickwp_after_import_setup' );



function ocdi_plugin_page_setup( $default_settings ) {
	$default_settings['parent_slug'] = 'themes.php';
	$default_settings['page_title']  = esc_html__( 'Bionick Demo Importer' , 'pt-ocdi' );
	$default_settings['menu_title']  = esc_html__( 'Bionick Demo Importer' , 'pt-ocdi' );
	$default_settings['capability']  = 'import';
	$default_settings['menu_slug']   = 'bionickwp-one-click-demo-import';

	return $default_settings;
}
add_filter( 'pt-ocdi/plugin_page_setup', 'ocdi_plugin_page_setup' );